using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_YongHu_TouXiang_ZengJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加头像", "网站后台", "增加头像", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            增加头像();
    }
    private void 增加头像()
    {
        访问.验证权限("27");
        int ZGID = 常用.SQL_最高ID(访问.连接, 程序.数据表前缀+"社区_头像");

        if(Request.Files.Count!=1)
            throw new Exception("头像不能为空.");

        String 后缀=Path.GetExtension(TouXiang.FileName);

        if (!常用.是否允许后缀("gif,jpg,jpe,jpeg,png,tif,tiff,bmp", 后缀.Substring(1)))
            throw new Exception("头像不支持该类型文件");

        String 头像名称=TouXiangMingChen.Text;
        String 头像地址 = 程序.安装位置 + "Data/TouXiang/" + (ZGID /500) + "/";
        if (!Directory.Exists(Server.MapPath(头像地址)))
            Directory.CreateDirectory(Server.MapPath(头像地址));
        头像地址 += ZGID + 后缀;

        TouXiang.SaveAs(Server.MapPath(头像地址));
        int 头像性别 = 0;
        if (TouXiangXingBie_0.Checked)
            头像性别 = 0;
        else if (TouXiangXingBie_1.Checked)
            头像性别 = 1;
        else
            头像性别 = 2;
        int 需要积分 = Convert.ToInt32(XuYaoJiFen.Text);

        SqlCommand 语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "社区_头像]([ID],[头像名称],[头像地址],[头像性别],[需要积分])" +
            "VALUES(@ID,@头像名称,@头像地址,@头像性别,@需要积分)", 访问.连接);
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = ZGID;
        语句.Parameters.Add("@头像名称", SqlDbType.NVarChar).Value = 头像名称;
        语句.Parameters.Add("@头像地址", SqlDbType.NVarChar).Value = 头像地址;
        语句.Parameters.Add("@头像性别", SqlDbType.Int).Value = 头像性别;
        语句.Parameters.Add("@需要积分", SqlDbType.Int).Value = 需要积分;
        语句.ExecuteNonQuery();

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("增加头像[" + 头像名称 + "]", 访问.用户["昵称"].ToString());

        Response.Redirect("TouXiangGuanLi.aspx");
    }
}
